
QGIS Application - Bug report #11590

Encode for Processing plugin Log 

2014-11-06 04:54 PM - Yoshihiko BABA

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.6.0 Regression?: No

Operating System: MacOSX Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 19849

Description

On Japanese MacOSX, R returns stdout and stderr messages in Japanese.  Processing's Log displays those lines in wrong encoding and

causes what is called mojibake.

This may be fixed by modifying createConsoleOutput in RUtils.py, but I am not quite sure.

Related issues:

Duplicated by QGIS Application - Bug report # 14618: Processing history not i... Closed 2016-04-06

History

#1 - 2015-11-07 11:25 AM - Giovanni Manghi

- Target version deleted (Version 2.6)

#2 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-05-01 10:55 AM - Giovanni Manghi

A few providers are being removed from QGIS3 (they will be available as plugins), so the respective categories are also being removed from the bug

tracker. Where necessary the tickets will be reassigned to "processing/core" to not leave them orphaned of category.

#4 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.

#5 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 124 to Processing/Core

#6 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
